%global use_x11_tests 1

%define upstream_name constant-boolean
%define upstream_version 0.18

Name:           perl-Tk-FontDialog
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 7
Summary:        Font dialog widget for perl/Tk
License:        GPL+ or Artistic
Group:		Development/Perl
URL:            https://metacpan.org/release/Tk-FontDialog
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/Tk-FontDialog-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time
BuildRequires:  perl(strict)
BuildRequires:  perl(Tk) >= 800
BuildRequires:  perl(Tk::Font)
BuildRequires:  perl(Tk::HList)
BuildRequires:  perl(Tk::ItemStyle)
BuildRequires:  perl(vars)
# Tests
BuildRequires:  perl(charnames)
BuildRequires:  perl(Test::More)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  x11-server-xvfb
BuildRequires:  xinit
BuildRequires:  font(:lang=en)
%endif
Requires:       perl(Tk::HList)
Requires:       perl(Tk::ItemStyle)

%description
This module implements a font dialog widget for perl/Tk.

%prep
%setup -q -n Tk-FontDialog-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xvfb-run -a make test
%else
    make test
%endif

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.180.0-7.mga9
+ Revision: 1837625
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.180.0-6.mga8
+ Revision: 1523009
- Mageia 8 Mass Rebuild

* Fri Feb 15 2019 tv <tv> 0.180.0-5.mga7
+ Revision: 1367277
- use %%perl_convert_version

* Thu Sep 20 2018 umeabot <umeabot> 0.18-4.mga7
+ Revision: 1287128
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.18-3.mga7
+ Revision: 1167206
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.18-2.mga7
+ Revision: 1161013
- imported package perl-Tk-FontDialog


* Thu Sep 28 2017 Thierry Vignaud <tv@mageia.org> 0.18-2.mga7
- import from FC

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.18-1
- Initial release
